package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

import java.util.List;

/**
 * 对应数据库表(music_group_questionnaire):
 */
public class MusicGroupQuestionnaire extends BaseEntity {

	/**  */
	private Integer id;
	
	/** 问卷编号 */
	private Integer questionnaireTopicId;
	
	/** 乐团编号 */
	private String musicGroupId;
	
	/** 调查对象 */
	private String target;
	
	/** 调查人 */
	private Integer operatorId;

	private String operatorName;
	
	/** 调查时间 */
	private java.util.Date questionTime;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private List<QuestionnaireUserResult> questionnaireUserResultList;

	public String getOperatorName() {
		return operatorName;
	}

	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}

	public List<QuestionnaireUserResult> getQuestionnaireUserResultList() {
		return questionnaireUserResultList;
	}

	public void setQuestionnaireUserResultList(List<QuestionnaireUserResult> questionnaireUserResultList) {
		this.questionnaireUserResultList = questionnaireUserResultList;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}

	public Integer getQuestionnaireTopicId() {
		return questionnaireTopicId;
	}

	public void setQuestionnaireTopicId(Integer questionnaireTopicId) {
		this.questionnaireTopicId = questionnaireTopicId;
	}

	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setTarget(String target){
		this.target = target;
	}
	
	public String getTarget(){
		return this.target;
	}

	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}
			
	public void setQuestionTime(java.util.Date questionTime){
		this.questionTime = questionTime;
	}
	
	public java.util.Date getQuestionTime(){
		return this.questionTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
